import 'package:flutter/material.dart';
import 'package:flutter_secure_keyboard/src/secure_keyboard_key_action.dart';
import 'package:flutter_secure_keyboard/src/secure_keyboard_key_type.dart';

class SecureKeyboardKey {
  final String text;
  final String capsText;
  final SecureKeyboardKeyType type;
  final SecureKeyboardKeyAction action;

  SecureKeyboardKey({
    this.text,
    this.capsText,
    @required this.type,
    this.action
  })  : assert(type != null);

  Map<String, dynamic> toMap() {
    return {
      'text': text,
      'capsText': capsText,
      'type': type,
      'action': action
    };
  }
}
